View Issue Details

IDProjectCategoryView StatusLast Update
0004136GNUnetfile-sharing servicepublic2016-02-02 19:28
ReporterxrsAssigned ToChristian Grothoff 
PrioritylowSeverityminorReproducibilityrandom
Status closedResolutionfixed 
Platformi686OSArch LinuxOS Version2016.01.01
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0004136: Starting "gnunet-publish -e" causes a crash
DescriptionWhen a call the extractor of gnunet-publish it sometimes crashes and sometimes shows the extracted metadata. Common error messages are:

Error in `gnunet-helper-fs-publish': free(): invalid pointer: 0x08056aa0
Error in `gnunet-helper-fs-publish': corrupted double-linked list: 0x09b80560

Steps To ReproduceCall "gnunet-publish -e Some_Document.pdf":

Starting program: /usr/local/bin/gnunet-publish -e Some_Document.pdf
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
*** Error in `gnunet-helper-fs-publish': free(): invalid pointer: 0x08056aa0 ***
======= Backtrace: =========
/usr/lib/libc.so.6(+0x69923)[0xb7b22923]
/usr/lib/libc.so.6(+0x6fc47)[0xb7b28c47]
/usr/lib/libc.so.6(+0x70401)[0xb7b29401]
/usr/lib/libextractor.so.3(EXTRACTOR_IPC_channel_destroy_+0x56)[0xb7cc5866]
/usr/lib/libextractor.so.3(+0x7766)[0xb7cc8766]
/usr/lib/libextractor.so.3(EXTRACTOR_extract+0x88)[0xb7cc89f8]
gnunet-helper-fs-publish[0x80495c7]
gnunet-helper-fs-publish[0x8048de1]
/usr/lib/libc.so.6(__libc_start_main+0xf7)[0xb7ad1497]
gnunet-helper-fs-publish[0x8048e66]
======= Memory map: ========
08048000-0804b000 r-xp 00000000 08:01 12323227 /usr/local/lib/gnunet/libexec/gnunet-helper-fs-publish
0804b000-0804c000 rw-p 00002000 08:01 12323227 /usr/local/lib/gnunet/libexec/gnunet-helper-fs-publish
0804c000-0806d000 rw-p 00000000 00:00 0 [heap]
b7500000-b7521000 rw-p 00000000 00:00 0
b7521000-b7600000 ---p 00000000 00:00 0
b763b000-b7657000 r-xp 00000000 08:01 11144643 /usr/lib/libgcc_s.so.1
b7657000-b7658000 rw-p 0001b000 08:01 11144643 /usr/lib/libgcc_s.so.1
b7678000-b7a7b000 rw-p 00000000 00:00 0
b7a7b000-b7a94000 r-xp 00000000 08:01 11144303 /usr/lib/libpthread-2.22.so
b7a94000-b7a95000 ---p 00019000 08:01 11144303 /usr/lib/libpthread-2.22.so
b7a95000-b7a96000 r--p 00019000 08:01 11144303 /usr/lib/libpthread-2.22.so
b7a96000-b7a97000 rw-p 0001a000 08:01 11144303 /usr/lib/libpthread-2.22.so
b7a97000-b7a99000 rw-p 00000000 00:00 0
b7a99000-b7aa0000 r-xp 00000000 08:01 11144373 /usr/lib/librt-2.22.so
b7aa0000-b7aa1000 r--p 00006000 08:01 11144373 /usr/lib/librt-2.22.so
b7aa1000-b7aa2000 rw-p 00007000 08:01 11144373 /usr/lib/librt-2.22.so
b7aa2000-b7ab2000 r-xp 00000000 08:01 11147457 /usr/lib/libbz2.so.1.0.6
b7ab2000-b7ab3000 rw-p 00010000 08:01 11147457 /usr/lib/libbz2.so.1.0.6
b7ab3000-b7ab6000 r-xp 00000000 08:01 11144369 /usr/lib/libdl-2.22.so
b7ab6000-b7ab7000 r--p 00002000 08:01 11144369 /usr/lib/libdl-2.22.so
b7ab7000-b7ab8000 rw-p 00003000 08:01 11144369 /usr/lib/libdl-2.22.so
b7ab8000-b7ab9000 rw-p 00000000 00:00 0
b7ab9000-b7c6c000 r-xp 00000000 08:01 11144322 /usr/lib/libc-2.22.so
b7c6c000-b7c6d000 ---p 001b3000 08:01 11144322 /usr/lib/libc-2.22.so
b7c6d000-b7c6f000 r--p 001b3000 08:01 11144322 /usr/lib/libc-2.22.so
b7c6f000-b7c70000 rw-p 001b5000 08:01 11144322 /usr/lib/libc-2.22.so
b7c70000-b7c73000 rw-p 00000000 00:00 0
b7c73000-b7cbf000 r-xp 00000000 08:01 11144370 /usr/lib/libm-2.22.so
b7cbf000-b7cc0000 r--p 0004b000 08:01 11144370 /usr/lib/libm-2.22.so
b7cc0000-b7cc1000 rw-p 0004c000 08:01 11144370 /usr/lib/libm-2.22.so
b7cc1000-b7cce000 r-xp 00000000 08:01 11169614 /usr/lib/libextractor.so.3.1.1
b7cce000-b7ccf000 r--p 0000c000 08:01 11169614 /usr/lib/libextractor.so.3.1.1
b7ccf000-b7cd0000 rw-p 0000d000 08:01 11169614 /usr/lib/libextractor.so.3.1.1
b7cd0000-b7e3c000 r-xp 00000000 08:01 11154139 /usr/lib/libunistring.so.2.0.0
b7e3c000-b7e3e000 r--p 0016c000 08:01 11154139 /usr/lib/libunistring.so.2.0.0
b7e3e000-b7e3f000 rw-p 0016e000 08:01 11154139 /usr/lib/libunistring.so.2.0.0
b7e3f000-b7e55000 r-xp 00000000 08:01 11147619 /usr/lib/libz.so.1.2.8
b7e55000-b7e56000 r--p 00015000 08:01 11147619 /usr/lib/libz.so.1.2.8
b7e56000-b7e57000 rw-p 00016000 08:01 11147619 /usr/lib/libz.so.1.2.8
b7e57000-b7e58000 rw-p 00000000 00:00 0
b7e58000-b7e62000 r-xp 00000000 08:01 11161537 /usr/lib/libltdl.so.7.3.1
b7e62000-b7e63000 r--p 00009000 08:01 11161537 /usr/lib/libltdl.so.7.3.1
b7e63000-b7e64000 rw-p 0000a000 08:01 11161537 /usr/lib/libltdl.so.7.3.1
b7e64000-b7e78000 r-xp 00000000 08:01 11151311 /usr/lib/libgpg-error.so.0.17.0
b7e78000-b7e79000 r--p 00013000 08:01 11151311 /usr/lib/libgpg-error.so.0.17.0
b7e79000-b7e7a000 rw-p 00014000 08:01 11151311 /usr/lib/libgpg-error.so.0.17.0
b7e7a000-b7f25000 r-xp 00000000 08:01 11151320 /usr/lib/libgcrypt.so.20.0.4
b7f25000-b7f26000 r--p 000aa000 08:01 11151320 /usr/lib/libgcrypt.so.20.0.4
b7f26000-b7f29000 rw-p 000ab000 08:01 11151320 /usr/lib/libgcrypt.so.20.0.4
b7f44000-b7f45000 rw-p 00000000 00:00 0
b7f45000-b7f49000 -w-s 00000000 00:13 383439 /dev/shm/LE-10051-88607175
b7f49000-b7fd4000 r-xp 00000000 08:01 11158940 /usr/local/lib/libgnunetutil.so.13.0.0
b7fd4000-b7fd6000 rw-p 0008a000 08:01 11158940 /usr/local/lib/libgnunetutil.so.13.0.0
b7fd6000-b7fd9000 rw-p 00000000 00:00 0
b7fd9000-b7fdb000 r--p 00000000 00:00 0 [vvar]
b7fdb000-b7fdc000 r-xp 00000000 00:00 0 [vdso]
b7fdc000-b7ffe000 r-xp 00000000 08:01 11144320 /usr/lib/ld-2.22.so
b7ffe000-b7fff000 r--p 00021000 08:01 11144320 /usr/lib/ld-2.22.so
b7fff000-b8000000 rw-p 00022000 08:01 11144320 /usr/lib/ld-2.22.so
bffdf000-c0000000 rw-p 00000000 00:00 0 [stack]
Internal error scanning directory.
[Inferior 1 (process 10049) exited with code 01



Call "gnunet-publish -e Some_Movie.avi"

*** Error in `gnunet-helper-fs-publish': corrupted double-linked list: 0x09884560 ***
======= Backtrace: =========
/usr/lib/libc.so.6(+0x69923)[0xb730b923]
/usr/lib/libc.so.6(+0x6fc47)[0xb7311c47]
/usr/lib/libc.so.6(+0x6fefc)[0xb7311efc]
/usr/lib/libc.so.6(+0x71a3f)[0xb7313a3f]
/usr/lib/libc.so.6(__libc_malloc+0xd9)[0xb73153d9]
/usr/lib/libz.so.1(+0xbd0e)[0xb7633d0e]
/usr/lib/libz.so.1(deflateInit2_+0xe3)[0xb762d0b3]
/usr/lib/libz.so.1(deflateInit_+0x2c)[0xb762d2cc]
/usr/lib/libz.so.1(compress2+0x70)[0xb7633db0]
/usr/local/lib/libgnunetutil.so.13(GNUNET_try_compression+0x66)[0xb7754336]
/usr/local/lib/libgnunetutil.so.13(GNUNET_CONTAINER_meta_data_serialize+0x4c6)[0xb77557d6]
/usr/local/lib/libgnunetutil.so.13(GNUNET_CONTAINER_meta_data_get_serialized_size+0x42)[0xb7755c82]
gnunet-helper-fs-publish[0x80495dd]
gnunet-helper-fs-publish[0x8048de1]
/usr/lib/libc.so.6(__libc_start_main+0xf7)[0xb72ba497]
gnunet-helper-fs-publish[0x8048e66]
======= Memory map: ========
08048000-0804b000 r-xp 00000000 08:01 12323227 /usr/local/lib/gnunet/libexec/gnunet-helper-fs-publish
0804b000-0804c000 rw-p 00002000 08:01 12323227 /usr/local/lib/gnunet/libexec/gnunet-helper-fs-publish
09876000-09897000 rw-p 00000000 00:00 0 [heap]
b7100000-b7121000 rw-p 00000000 00:00 0
b7121000-b7200000 ---p 00000000 00:00 0
b7225000-b7241000 r-xp 00000000 08:01 11144643 /usr/lib/libgcc_s.so.1
b7241000-b7242000 rw-p 0001b000 08:01 11144643 /usr/lib/libgcc_s.so.1
b7262000-b7264000 rw-p 00000000 00:00 0
b7264000-b727d000 r-xp 00000000 08:01 11144303 /usr/lib/libpthread-2.22.so
b727d000-b727e000 ---p 00019000 08:01 11144303 /usr/lib/libpthread-2.22.so
b727e000-b727f000 r--p 00019000 08:01 11144303 /usr/lib/libpthread-2.22.so
b727f000-b7280000 rw-p 0001a000 08:01 11144303 /usr/lib/libpthread-2.22.so
b7280000-b7282000 rw-p 00000000 00:00 0
b7282000-b7289000 r-xp 00000000 08:01 11144373 /usr/lib/librt-2.22.so
b7289000-b728a000 r--p 00006000 08:01 11144373 /usr/lib/librt-2.22.so
b728a000-b728b000 rw-p 00007000 08:01 11144373 /usr/lib/librt-2.22.so
b728b000-b729b000 r-xp 00000000 08:01 11147457 /usr/lib/libbz2.so.1.0.6
b729b000-b729c000 rw-p 00010000 08:01 11147457 /usr/lib/libbz2.so.1.0.6
b729c000-b729f000 r-xp 00000000 08:01 11144369 /usr/lib/libdl-2.22.so
b729f000-b72a0000 r--p 00002000 08:01 11144369 /usr/lib/libdl-2.22.so
b72a0000-b72a1000 rw-p 00003000 08:01 11144369 /usr/lib/libdl-2.22.so
b72a1000-b72a2000 rw-p 00000000 00:00 0
b72a2000-b7455000 r-xp 00000000 08:01 11144322 /usr/lib/libc-2.22.so
b7455000-b7456000 ---p 001b3000 08:01 11144322 /usr/lib/libc-2.22.so
b7456000-b7458000 r--p 001b3000 08:01 11144322 /usr/lib/libc-2.22.so
b7458000-b7459000 rw-p 001b5000 08:01 11144322 /usr/lib/libc-2.22.so
b7459000-b745c000 rw-p 00000000 00:00 0
b745c000-b74a8000 r-xp 00000000 08:01 11144370 /usr/lib/libm-2.22.so
b74a8000-b74a9000 r--p 0004b000 08:01 11144370 /usr/lib/libm-2.22.so
b74a9000-b74aa000 rw-p 0004c000 08:01 11144370 /usr/lib/libm-2.22.so
b74aa000-b74b7000 r-xp 00000000 08:01 11169614 /usr/lib/libextractor.so.3.1.1
b74b7000-b74b8000 r--p 0000c000 08:01 11169614 /usr/lib/libextractor.so.3.1.1
b74b8000-b74b9000 rw-p 0000d000 08:01 11169614 /usr/lib/libextractor.so.3.1.1
b74b9000-b7625000 r-xp 00000000 08:01 11154139 /usr/lib/libunistring.so.2.0.0
b7625000-b7627000 r--p 0016c000 08:01 11154139 /usr/lib/libunistring.so.2.0.0
b7627000-b7628000 rw-p 0016e000 08:01 11154139 /usr/lib/libunistring.so.2.0.0
b7628000-b763e000 r-xp 00000000 08:01 11147619 /usr/lib/libz.so.1.2.8
b763e000-b763f000 r--p 00015000 08:01 11147619 /usr/lib/libz.so.1.2.8
b763f000-b7640000 rw-p 00016000 08:01 11147619 /usr/lib/libz.so.1.2.8
b7640000-b7641000 rw-p 00000000 00:00 0
b7641000-b764b000 r-xp 00000000 08:01 11161537 /usr/lib/libltdl.so.7.3.1
b764b000-b764c000 r--p 00009000 08:01 11161537 /usr/lib/libltdl.so.7.3.1
b764c000-b764d000 rw-p 0000a000 08:01 11161537 /usr/lib/libltdl.so.7.3.1
b764d000-b7661000 r-xp 00000000 08:01 11151311 /usr/lib/libgpg-error.so.0.17.0
b7661000-b7662000 r--p 00013000 08:01 11151311 /usr/lib/libgpg-error.so.0.17.0
b7662000-b7663000 rw-p 00014000 08:01 11151311 /usr/lib/libgpg-error.so.0.17.0
b7663000-b770e000 r-xp 00000000 08:01 11151320 /usr/lib/libgcrypt.so.20.0.4
b770e000-b770f000 r--p 000aa000 08:01 11151320 /usr/lib/libgcrypt.so.20.0.4
b770f000-b7712000 rw-p 000ab000 08:01 11151320 /usr/lib/libgcrypt.so.20.0.4
b772d000-b772e000 rw-p 00000000 00:00 0
b772e000-b7732000 -w-s 00000000 00:13 418769 /dev/shm/LE-25027-1681277693
b7732000-b77bd000 r-xp 00000000 08:01 11158940 /usr/local/lib/libgnunetutil.so.13.0.0
b77bd000-b77bf000 rw-p 0008a000 08:01 11158940 /usr/local/lib/libgnunetutil.so.13.0.0
b77bf000-b77c2000 rw-p 00000000 00:00 0
b77c2000-b77c4000 r--p 00000000 00:00 0 [vvar]
b77c4000-b77c5000 r-xp 00000000 00:00 0 [vdso]
b77c5000-b77e7000 r-xp 00000000 08:01 11144320 /usr/lib/ld-2.22.so
b77e7000-b77e8000 r--p 00021000 08:01 11144320 /usr/lib/ld-2.22.so
b77e8000-b77e9000 rw-p 00022000 08:01 11144320 /usr/lib/ld-2.22.so
bfa2d000-bfa4e000 rw-p 00000000 00:00 0 [stack]
Internal error scanning directory.



Call "gnunet-publish -e Another_Movie.mp4":
 
*** Error in `gnunet-helper-fs-publish': free(): invalid pointer: 0x08d86a40 ***
======= Backtrace: =========
/usr/lib/libc.so.6(+0x69923)[0xb7293923]
/usr/lib/libc.so.6(+0x6fc47)[0xb7299c47]
/usr/lib/libc.so.6(+0x70401)[0xb729a401]
/usr/lib/libextractor.so.3(EXTRACTOR_IPC_channel_destroy_+0x56)[0xb7436866]
/usr/lib/libextractor.so.3(+0x7766)[0xb7439766]
/usr/lib/libextractor.so.3(EXTRACTOR_extract+0x88)[0xb74399f8]
gnunet-helper-fs-publish[0x80495c7]
gnunet-helper-fs-publish[0x8048de1]
/usr/lib/libc.so.6(__libc_start_main+0xf7)[0xb7242497]
gnunet-helper-fs-publish[0x8048e66]
======= Memory map: ========
08048000-0804b000 r-xp 00000000 08:01 12323227 /usr/local/lib/gnunet/libexec/gnunet-helper-fs-publish
0804b000-0804c000 rw-p 00002000 08:01 12323227 /usr/local/lib/gnunet/libexec/gnunet-helper-fs-publish
08d77000-08d98000 rw-p 00000000 00:00 0 [heap]
b6c00000-b6c21000 rw-p 00000000 00:00 0
b6c21000-b6d00000 ---p 00000000 00:00 0
b6dac000-b6dc8000 r-xp 00000000 08:01 11144643 /usr/lib/libgcc_s.so.1
b6dc8000-b6dc9000 rw-p 0001b000 08:01 11144643 /usr/lib/libgcc_s.so.1
b6de9000-b71ec000 rw-p 00000000 00:00 0
b71ec000-b7205000 r-xp 00000000 08:01 11144303 /usr/lib/libpthread-2.22.so
b7205000-b7206000 ---p 00019000 08:01 11144303 /usr/lib/libpthread-2.22.so
b7206000-b7207000 r--p 00019000 08:01 11144303 /usr/lib/libpthread-2.22.so
b7207000-b7208000 rw-p 0001a000 08:01 11144303 /usr/lib/libpthread-2.22.so
b7208000-b720a000 rw-p 00000000 00:00 0
b720a000-b7211000 r-xp 00000000 08:01 11144373 /usr/lib/librt-2.22.so
b7211000-b7212000 r--p 00006000 08:01 11144373 /usr/lib/librt-2.22.so
b7212000-b7213000 rw-p 00007000 08:01 11144373 /usr/lib/librt-2.22.so
b7213000-b7223000 r-xp 00000000 08:01 11147457 /usr/lib/libbz2.so.1.0.6
b7223000-b7224000 rw-p 00010000 08:01 11147457 /usr/lib/libbz2.so.1.0.6
b7224000-b7227000 r-xp 00000000 08:01 11144369 /usr/lib/libdl-2.22.so
b7227000-b7228000 r--p 00002000 08:01 11144369 /usr/lib/libdl-2.22.so
b7228000-b7229000 rw-p 00003000 08:01 11144369 /usr/lib/libdl-2.22.so
b7229000-b722a000 rw-p 00000000 00:00 0
b722a000-b73dd000 r-xp 00000000 08:01 11144322 /usr/lib/libc-2.22.so
b73dd000-b73de000 ---p 001b3000 08:01 11144322 /usr/lib/libc-2.22.so
b73de000-b73e0000 r--p 001b3000 08:01 11144322 /usr/lib/libc-2.22.so
b73e0000-b73e1000 rw-p 001b5000 08:01 11144322 /usr/lib/libc-2.22.so
b73e1000-b73e4000 rw-p 00000000 00:00 0
b73e4000-b7430000 r-xp 00000000 08:01 11144370 /usr/lib/libm-2.22.so
b7430000-b7431000 r--p 0004b000 08:01 11144370 /usr/lib/libm-2.22.so
b7431000-b7432000 rw-p 0004c000 08:01 11144370 /usr/lib/libm-2.22.so
b7432000-b743f000 r-xp 00000000 08:01 11169614 /usr/lib/libextractor.so.3.1.1
b743f000-b7440000 r--p 0000c000 08:01 11169614 /usr/lib/libextractor.so.3.1.1
b7440000-b7441000 rw-p 0000d000 08:01 11169614 /usr/lib/libextractor.so.3.1.1
b7441000-b75ad000 r-xp 00000000 08:01 11154139 /usr/lib/libunistring.so.2.0.0
b75ad000-b75af000 r--p 0016c000 08:01 11154139 /usr/lib/libunistring.so.2.0.0
b75af000-b75b0000 rw-p 0016e000 08:01 11154139 /usr/lib/libunistring.so.2.0.0
b75b0000-b75c6000 r-xp 00000000 08:01 11147619 /usr/lib/libz.so.1.2.8
b75c6000-b75c7000 r--p 00015000 08:01 11147619 /usr/lib/libz.so.1.2.8
b75c7000-b75c8000 rw-p 00016000 08:01 11147619 /usr/lib/libz.so.1.2.8
b75c8000-b75c9000 rw-p 00000000 00:00 0
b75c9000-b75d3000 r-xp 00000000 08:01 11161537 /usr/lib/libltdl.so.7.3.1
b75d3000-b75d4000 r--p 00009000 08:01 11161537 /usr/lib/libltdl.so.7.3.1
b75d4000-b75d5000 rw-p 0000a000 08:01 11161537 /usr/lib/libltdl.so.7.3.1
b75d5000-b75e9000 r-xp 00000000 08:01 11151311 /usr/lib/libgpg-error.so.0.17.0
b75e9000-b75ea000 r--p 00013000 08:01 11151311 /usr/lib/libgpg-error.so.0.17.0
b75ea000-b75eb000 rw-p 00014000 08:01 11151311 /usr/lib/libgpg-error.so.0.17.0
b75eb000-b7696000 r-xp 00000000 08:01 11151320 /usr/lib/libgcrypt.so.20.0.4
b7696000-b7697000 r--p 000aa000 08:01 11151320 /usr/lib/libgcrypt.so.20.0.4
b7697000-b769a000 rw-p 000ab000 08:01 11151320 /usr/lib/libgcrypt.so.20.0.4
b76b5000-b76b6000 rw-p 00000000 00:00 0
b76b6000-b76ba000 -w-s 00000000 00:13 421072 /dev/shm/LE-25126-718788209
b76ba000-b7745000 r-xp 00000000 08:01 11158940 /usr/local/lib/libgnunetutil.so.13.0.0
b7745000-b7747000 rw-p 0008a000 08:01 11158940 /usr/local/lib/libgnunetutil.so.13.0.0
b7747000-b774a000 rw-p 00000000 00:00 0
b774a000-b774c000 r--p 00000000 00:00 0 [vvar]
b774c000-b774d000 r-xp 00000000 00:00 0 [vdso]
b774d000-b776f000 r-xp 00000000 08:01 11144320 /usr/lib/ld-2.22.so
b776f000-b7770000 r--p 00021000 08:01 11144320 /usr/lib/ld-2.22.so
b7770000-b7771000 rw-p 00022000 08:01 11144320 /usr/lib/ld-2.22.so
bfe77000-bfe98000 rw-p 00000000 00:00 0 [stack]
Internal error scanning directory.
Additional InformationI'm using the archlinux lts kernel temporarily, version 4.1.15-1-lts.
TagsNo tags attached.

Relationships

duplicate of 0002903 closedChristian Grothoff libextractor Files with big metadata fail to parse using gnunet-helper-fs-publish 

Activities

Christian Grothoff

2016-01-21 13:56

manager   ~0010066

What's the GNUnet-version you use? What's the LE version you use?

Please report on the output of:

gnunet-publish -v
extract -v

xrs

2016-01-21 14:22

manager   ~0010068

GNUnet-version: svn revision 36825

I have no idea what LE is. Please tell me.

Output of gnunet-publish -v:
gnunet-publish v0.10.1 svn-r36813M

Output of extract -v:
extract v1.0.1

Christian Grothoff

2016-01-21 15:21

manager   ~0010070

LE is libextractor. Ok, so you have a recent version, but you get a crash and I do not :-(.

Next attempt: try running gnunet-publish with valgrind:

valgrind --trace-children=yes gnunet-publish -e OTHER-ARGS-AS-NEEDED

That ought to show something relevant...

xrs

2016-01-21 16:50

manager  

output.valgrind (17,575 bytes)

xrs

2016-01-21 16:50

manager   ~0010071

libextractor version: 1.0.1-8

I uploaded the valgrind output.

Christian Grothoff

2016-01-21 21:18

manager   ~0010072

Ok, looks like arch is shipping with GNU libextractor 1.0.1 from 10'2012.

GNU libextractor 1.3 was released 12'2013. Admittedly that's again some time ago, and we should make a new release. Regardless, I suspect this is a duplicate of 0002903 or another bug that was fixed since. So please update your GNU libextractor package (and make sure to link GNUnet against the updated package).

xrs

2016-02-02 18:41

manager   ~0010128

Aahh, thanks for the hint, now it works. :)

Issue History

Date Modified Username Field Change
2016-01-18 09:56 xrs New Issue
2016-01-21 13:56 Christian Grothoff Note Added: 0010066
2016-01-21 14:22 xrs Note Added: 0010068
2016-01-21 15:21 Christian Grothoff Note Added: 0010070
2016-01-21 16:50 xrs File Added: output.valgrind
2016-01-21 16:50 xrs Note Added: 0010071
2016-01-21 21:18 Christian Grothoff Note Added: 0010072
2016-01-21 21:18 Christian Grothoff Assigned To => Christian Grothoff
2016-01-21 21:18 Christian Grothoff Status new => feedback
2016-02-02 18:41 xrs Note Added: 0010128
2016-02-02 18:41 xrs Status feedback => assigned
2016-02-02 19:28 Christian Grothoff Relationship added duplicate of 0002903
2016-02-02 19:28 Christian Grothoff Status assigned => resolved
2016-02-02 19:28 Christian Grothoff Fixed in Version => 0.10.1
2016-02-02 19:28 Christian Grothoff Resolution open => fixed
2016-02-02 19:28 Christian Grothoff Target Version => 0.10.1
2016-02-02 19:28 Christian Grothoff Status resolved => closed